module.exports = {
    '*.{js,jsx,ts,tsx}': ['eslint --fix', 'prettier --write'],
    '{!(package)*.json,*.code-snippets,.!(browserslist)*rc}': ['prettier --write--parser json'],
    'package.json': ['sort-package-json', 'prettier --write'],
    '*.vue': ['eslint --fix', 'prettier --write', 'stylelint --fix --allow-empty-input'],
    '*.{scss,less,styl,html}': ['stylelint --fix --allow-empty-input', 'prettier --write'],
    '*.md': ['prettier --write'],
}
