/**
 * @desc 新增
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** id */
    id: string
    /** 字典名称 */
    name: string
    /** 字典编号 */
    code: string
    /** 字典描述 */
    description?: string
}

export const init = new defs.ResultString()

export function request(params: Params, config?: http.RequestConfig<Params>, options?: http.RequestOptions) {
    return defHttp.request(
        {
            url: '/sys/dict/add',
            method: 'POST',
            data: params,

            ...config,
        },
        options,
    )
}
