/**
 * App 信息
 */
type Application = {
    /**
     * 项目名称
     */
    name: string

    /**
     * 版本号
     */
    version: string

    /**
     * 项目描述信息
     */
    description: string

    /**
     * 作者
     */
    author: Author

    /**
     * 最后构建时间
     */
    lastBuildTime: string
}

/**
 * App 作者信息
 */
type Author = {
    /**
     * 作者名称
     */
    name: string

    /**
     * 地址
     */
    url: string
}

declare const __APP__: Application
