export class DictItemVo {
    /** 字典选项描述 */
    description = ''

    /** 字典选项是否启用 */
    enable = false

    /** id */
    id = ''

    /** 字典选项名称 */
    name = ''

    /** 字典选项排序序号 */
    serial = undefined

    /** 字典选项值 */
    value = ''
}

export class DictVo {
    /** 字典编号 */
    code = ''

    /** 字典描述 */
    description = ''

    /** id */
    id = ''

    /** 字典名称 */
    name = ''
}

export class KeyValueVo {
    /** 是否启用 */
    enable = ''

    /** key */
    key = ''

    /** label */
    label = ''

    /** value */
    value = ''
}

export class LoginVo {
    /** token */
    token = ''

    /** 用户 ID */
    userId = ''
}

export class MenuVo {
    /** 子权限 */
    children = []

    /** 组件 */
    component = ''

    /** 元数据 */
    meta = undefined

    /** 名称 */
    name = ''

    /** 路径 */
    path = ''

    /** 重定向 */
    redirect = ''

    /** 唯一标识 */
    uid = ''
}

export class PageParam {
    /** 当前页数 */
    pageNo = undefined

    /** 分页条数 */
    pageSize = undefined

    /** 排序字段 */
    sortField = ''

    /** 排序方向（ASC|DESC） */
    sortOrder = 'ASC'
}

export class PageVoDictItemVo {
    /** 数据 */
    data = []

    /** 数据最新时间 */
    latest = ''

    /** 数据总数 */
    total = undefined
}

export class PageVoDictVo {
    /** 数据 */
    data = []

    /** 数据最新时间 */
    latest = ''

    /** 数据总数 */
    total = undefined
}

export class PageVoPermissionVo {
    /** 数据 */
    data = []

    /** 数据最新时间 */
    latest = ''

    /** 数据总数 */
    total = undefined
}

export class PageVoRoleVo {
    /** 数据 */
    data = []

    /** 数据最新时间 */
    latest = ''

    /** 数据总数 */
    total = undefined
}

export class PageVoString {
    /** 数据 */
    data = []

    /** 数据最新时间 */
    latest = ''

    /** 数据总数 */
    total = undefined
}

export class PageVoUserVo {
    /** 数据 */
    data = []

    /** 数据最新时间 */
    latest = ''

    /** 数据总数 */
    total = undefined
}

export class PermissionParam {
    /** 组件 */
    component = ''

    /** 是否启用 */
    enable = false

    /** 是否隐藏 */
    hidden = false

    /** 图标 */
    icon = ''

    /** id */
    id = ''

    /** 元数据 */
    meta = undefined

    /** 名称 */
    name = ''

    /** 路径 */
    path = ''

    /** 父级ID */
    pid = ''

    /** 重定向 */
    redirect = ''

    /** 序号 */
    serial = undefined

    /** 权限类型 */
    type = 'DIR'

    /** 标识 */
    uid = ''
}

export class PermissionVo {
    /** children */
    children = []

    /** component */
    component = ''

    /** enable */
    enable = false

    /** hidden */
    hidden = false

    /** icon */
    icon = ''

    /** id */
    id = ''

    /** meta */
    meta = undefined

    /** name */
    name = ''

    /** path */
    path = ''

    /** pid */
    pid = ''

    /** serial */
    serial = undefined

    /** type */
    type = 'DIR'

    /** uid */
    uid = ''
}

export class ResultArrayListKeyValueVo {
    /** 内容 */
    body = []

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultArrayListMenuVo {
    /** 内容 */
    body = []

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultArrayListPermissionVo {
    /** 内容 */
    body = []

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultArrayListRoleVo {
    /** 内容 */
    body = []

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultArrayListString {
    /** 内容 */
    body = []

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultBoolean {
    /** 内容 */
    body = false

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultDictItemVo {
    /** body */
    body = new DictItemVo()

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultDictVo {
    /** body */
    body = new DictVo()

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultLoginVo {
    /** body */
    body = new LoginVo()

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultPageVoDictItemVo {
    /** body */
    body = new PageVoDictItemVo()

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultPageVoDictVo {
    /** body */
    body = new PageVoDictVo()

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultPageVoPermissionVo {
    /** body */
    body = new PageVoPermissionVo()

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultPageVoRoleVo {
    /** body */
    body = new PageVoRoleVo()

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultPageVoString {
    /** body */
    body = new PageVoString()

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultPageVoUserVo {
    /** body */
    body = new PageVoUserVo()

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultPermissionVo {
    /** body */
    body = new PermissionVo()

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultRoleVo {
    /** body */
    body = new RoleVo()

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultString {
    /** 内容 */
    body = ''

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultUserExtensionVo {
    /** body */
    body = new UserExtensionVo()

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class ResultUserInfo {
    /** body */
    body = new UserInfo()

    /** 业务标识码 */
    code = undefined

    /** 详细信息 */
    details = ''

    /** 异常信息 */
    error = ''

    /** 消息 */
    message = ''

    /** 状态码 */
    status = undefined

    /** 耗时 */
    times = ''

    /** 响应时间 */
    timestamp = ''
}

export class RoleVo {
    /** 主键 */
    id = ''

    /** 名称 */
    name = ''

    /** 权限 */
    permissions = []

    /** 标识 */
    uid = ''
}

export class UserExtensionVo {
    /** 年龄 */
    age = undefined

    /** 性别 */
    gender = undefined

    /** 简介 */
    introduction = ''
}

export class UserInfo {
    /** 头像 */
    avatar = ''

    /** 介绍 */
    desc = ''

    /** 用户主页 */
    homePath = ''

    /** 手机号 */
    mobile = ''

    /** 真实姓名 */
    realName = ''

    /** 角色 */
    roles = []

    /** 主键 */
    userId = ''

    /** 用户名 */
    username = ''
}

export class UserVo {
    /** 头像 */
    avatar = ''

    /** 最后登录时间 */
    createTime = ''

    /** 是否删除 */
    deleted = false

    /** 邮箱 */
    email = ''

    /** 是否启用 */
    enabled = false

    /** 主键 */
    id = ''

    /** 最后登录IP地址 */
    lastLoginIp = ''

    /** 最后登录时间 */
    lastLoginTime = ''

    /** 手机号 */
    mobile = ''

    /** 真实姓名 */
    realName = ''

    /** 职称 */
    title = ''

    /** 用户名 */
    username = ''
}
