/**
 * @desc 选项查询
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** 字典 ID */
    dictId?: string
    /** 字典 ID */
    dictCode?: string
    /** 字典选项是否启用 */
    enable?: boolean
}

export const init = new defs.ResultArrayListKeyValueVo()

export function request(params: Params, config?: http.RequestConfig<Params>, options?: http.RequestOptions) {
    return defHttp.request(
        {
            url: '/sys/dict/item/selector',
            method: 'GET',
            params,

            ...config,
        },
        options,
    )
}
